Package org.eclipse.zest.layouts.algorithms

# Class GridLayoutAlgorithm.Zest1

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm.Zest1

All Implemented Interfaces:
  `LayoutAlgorithm`, `LayoutAlgorithm.Zest1`, `Stoppable`

Direct Known Subclasses:
  `HorizontalLayoutAlgorithm`, `VerticalLayoutAlgorithm`

Enclosing class:
  `GridLayoutAlgorithm`

@Deprecated(since="2.0", forRemoval=true) public static class GridLayoutAlgorithm.Zest1 extends AbstractLayoutAlgorithm.Zest1
Deprecated, for removal: This API element is subject to removal in a future version.
Use `GridLayoutAlgorithm` instead. This class will be removed in a future release.
Collection of Zest 1.x methods. Used for backwards compatibility.

Since:
  2.0
@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`rowPadding`
Deprecated.

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

## Constructor Summary

Constructors
Constructor
Description
`Zest1()`
Deprecated.
`Zest1(int styles)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyLayoutInternal(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double boundsX, double boundsY, double boundsWidth, double boundsHeight)`
Deprecated.
`protected double[]`
`calculateNodeSize(double colWidth, double rowHeight)`
Deprecated.
`protected int[]`
`calculateNumberOfRowsAndCols(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)`
Deprecated.
`protected int[]`
`calculateNumberOfRowsAndCols_rectangular(int numChildren)`
Deprecated.
`protected int[]`
`calculateNumberOfRowsAndCols_square(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)`
Deprecated.
`protected int`
`getCurrentLayoutStep()`
Deprecated.
`protected int`
`getTotalNumberOfLayoutSteps()`
Deprecated.
`protected boolean`
`isValidConfiguration(boolean asynchronous, boolean continueous)`
Deprecated.
`protected void`
`postLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider)`
Deprecated.
`protected void`
`preLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)`
Deprecated.
`void`
`setLayoutArea(double x, double y, double width, double height)`
Deprecated.
`void`
`setRowPadding(int rowPadding)`
Deprecated.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`addEntity, addProgressListener, addRelationship, applyLayout, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, fireProgressUpdated, getEntityAspectRatio, getLayoutBounds, getLocalLocation, getNumberOfProgressListeners, getStyle, isRunning, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setLayoutContext, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rowPadding

@Deprecated protected int rowPadding
Deprecated.

## Constructor Details

### Zest1

@Deprecated public Zest1(int styles)
Deprecated.
Initializes the grid layout.

Parameters:
  `styles` -
See Also:
  - `LayoutStyles`

### Zest1

@Deprecated public Zest1()
Deprecated.
Inititalizes the grid layout with no style.

## Method Details

### setLayoutArea

@Deprecated public void setLayoutArea(double x, double y, double width, double height)
Deprecated.

Specified by:
  `setLayoutArea` in class `AbstractLayoutAlgorithm.Zest1`

### getCurrentLayoutStep

@Deprecated protected int getCurrentLayoutStep()
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Gets the current layout step

Specified by:
  `getCurrentLayoutStep` in class `AbstractLayoutAlgorithm.Zest1`

### getTotalNumberOfLayoutSteps

@Deprecated protected int getTotalNumberOfLayoutSteps()
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Gets the total number of steps in this layout

Specified by:
  `getTotalNumberOfLayoutSteps` in class `AbstractLayoutAlgorithm.Zest1`

### preLayoutAlgorithm

@Deprecated protected void preLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Code called before the layout algorithm starts

Specified by:
  `preLayoutAlgorithm` in class `AbstractLayoutAlgorithm.Zest1`

### applyLayoutInternal

@Deprecated protected void applyLayoutInternal(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double boundsX, double boundsY, double boundsWidth, double boundsHeight)
Deprecated.
Use this algorithm to layout the given entities, using the given relationships and bounds. The entities will be placed in the same order as they are passed in, unless a comparator is supplied.

Specified by:
  `applyLayoutInternal` in class `AbstractLayoutAlgorithm.Zest1`
Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.
  `boundsX` - The left side of the bounds in which the layout can place the entities.
  `boundsY` - The top side of the bounds in which the layout can place the entities.
  `boundsWidth` - The width of the bounds in which the layout can place the entities.
  `boundsHeight` - The height of the bounds in which the layout can place the entities.
Throws:
  `RuntimeException` - Thrown if entitiesToLayout doesn't contain all of the endpoints for each relationship in relationshipsToConsider

### postLayoutAlgorithm

@Deprecated protected void postLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider)
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Code called after the layout algorithm ends

Specified by:
  `postLayoutAlgorithm` in class `AbstractLayoutAlgorithm.Zest1`

### calculateNumberOfRowsAndCols

@Deprecated protected int[] calculateNumberOfRowsAndCols(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)
Deprecated.
Calculates and returns an array containing the number of columns, followed by the number of rows

### calculateNumberOfRowsAndCols_square

@Deprecated protected int[] calculateNumberOfRowsAndCols_square(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)
Deprecated.

### calculateNumberOfRowsAndCols_rectangular

@Deprecated protected int[] calculateNumberOfRowsAndCols_rectangular(int numChildren)
Deprecated.

### calculateNodeSize

@Deprecated protected double[] calculateNodeSize(double colWidth, double rowHeight)
Deprecated.

### setRowPadding

@Deprecated public void setRowPadding(int rowPadding)
Deprecated.
Increases the padding between rows in the grid

Parameters:
  `rowPadding` - Value will not be set if less than 0.

### isValidConfiguration

@Deprecated protected boolean isValidConfiguration(boolean asynchronous, boolean continueous)
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Determines if the configuration is valid for this layout

Specified by:
  `isValidConfiguration` in class `AbstractLayoutAlgorithm.Zest1`
Parameters:
  `asynchronous` -
  `continueous` -